Create a Document Signer
Roles
Analytics Events
/v2/credentials/mobile/document-signersCreates a new Document Signer that can be used to sign new mDocs.
- Only available in implementations using unmanaged (external) IACAs.
- A maximum of five Document Signers can be created per tenant.
Analytic events
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_CREATE_START
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_CREATE_SUCCESS
- MOBILE_CREDENTIAL_DOCUMENT_SIGNER_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
Internal identifier of the IACA used to sign this document signer:
- Must be an unmanaged (external) IACA.
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/mobile/document-signers" \ -H "Content-Type: application/json" \ -d '{ "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6",
"active": true,
"csrPem": "-----BEGIN CERTIFICATE REQUEST-----...-----END CERTIFICATE REQUEST-----"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Sign a JSON credential POST
Returns a signed JSON credential generated from a provided valid payload. ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_SIGN_START * CREDENTIAL_WEB_SEMANTIC_SIGN_SUCCESS * CREDENTIAL_WEB_SEMANTIC_SIGN_FAIL
Revoke a Document Signer POST
Revokes an existing Document Signer, making it unusable for signing new mDocs. If the verifier checks the CRL referenced in the IACA certificate, it must treat revoked Document Signers and any mDocs they signed as untrusted. <Callout> Only available in implementations using managed IACAs. When using unmanaged (external) IACAs, you must revoke the Document Signer certificate directly with the CA that issued it. </Callout> ### **Analytic events** * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_REVOKE_START * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_REVOKE_SUCCESS * MOBILE_CREDENTIAL_DOCUMENT_SIGNER_REVOKE_FAIL